<?xml version="1.0" encoding="utf-8"?>
<registry>
  <record name="ploneintranet.docconv.file_types">
    <field type="plone.registry.field.List">
      <default>
        <element>File</element>
      </default>
      <title>Preview Content Types</title>
      <description>Generate preview images directly from this list of content types</description>
      <missing_value />
      <required>False</required>
      <value_type type="plone.registry.field.TextLine" />
    </field>
  </record>
  <record name="ploneintranet.docconv.html_types">
    <field type="plone.registry.field.List">
      <default>
        <element>Document</element>
      </default>
      <title>HTML Preview Content Types</title>
      <description>Generate preview images from PDF versions of this list of content types</description>
      <missing_value />
      <required>False</required>
      <value_type type="plone.registry.field.TextLine" />
    </field>
  </record>
  <record name="ploneintranet.docconv.num_previews">
    <field type="plone.registry.field.Int">
      <default>100</default>
      <title>Number of previews generated</title>
      <description>Limit the number of previews generated by default. This protects the system against PDFs with 35.000 pages.</description>
      <missing_value />
      <required>False</required>
      <value purge="false">100</value>
    </field>
  </record>
  <record name="ploneintranet.docconv.max_png_preview_size">
    <field type="plone.registry.field.Int">
      <default>4000</default>
      <title>Max pixel size of PNG previews for PDFs</title>
      <description>When the page size of a PDF is enourmous, scale down the PNG rendering to something more reasonable.</description>
      <missing_value />
      <required>True</required>
      <value purge="false">4000</value>
    </field>
  </record>
  <record name="ploneintranet.docconv.bad_pdf_creators">
    <field type="plone.registry.field.Tuple">
      <title>List of bad pdf creators</title>
      <description>The svg produced by pdftocairo is known to be broken in some cases for scanned documents. List here the pdf creators (as returned by poppler's pdfinfo) that you know can produce bad PDFs.</description>
      <required>False</required>
      <value_type type="plone.registry.field.TextLine" />
    </field>
    <value purge="false" />
  </record>
</registry>
